Debian Bug report logs - #467939
libgtk2-ex-simple-list-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone

version graph

Package: libgtk2-ex-simple-list-perl; Maintainer for libgtk2-ex-simple-list-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libgtk2-ex-simple-list-perl is src:libgtk2-ex-simple-list-perl.

Reported by: Niko Tyni <ntyni@debian.org>

Date: Tue, 26 Feb 2008 19:26:43 UTC

Severity: important

Tags: patch

Found in version libgtk2-ex-simple-list-perl/0.50-1

Fixed in version libgtk2-ex-simple-list-perl/0.50-1.1

Done: Mark Hymers <mhy@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to Florian Ragwitz <rafl@debian.org>:
Bug#467939; Package libgtk2-ex-simple-list-perl. Full text and rfc822 format available.

Acknowledgement sent to Niko Tyni <ntyni@debian.org>:
New Bug report received and forwarded. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #5 received at maintonly@bugs.debian.org (full text, mbox):

From: Niko Tyni <ntyni@debian.org>
To: maintonly@bugs.debian.org
Subject: libgtk2-ex-simple-list-perl: FTBFS with Perl 5.10: the empty /usr/lib/perl5 is gone
Date: Tue, 26 Feb 2008 21:10:18 +0200
Package: libgtk2-ex-simple-list-perl
Version: 0.50-1
Severity: important
User: debian-perl@lists.debian.org
Usertags: perl-5.10-ftbfs-rmdir

This package fails to build with Perl 5.10.0 (currently in
experimental) because of a bug in debian/rules that has been
uncovered by a change in ExtUtils::Install.

Until Perl 5.10.0, ExtUtils::Install had a bug that created an empty
/usr/lib/perl5 or /usr/share/perl5 directory when 'make install' was
run. This package fails to build because it relies on the presence of
this empty directory, usually by trying to remove it without checking
if it exists first.

The suggested fix for the usual 'unconditional rmdir' case is to use
a conditional like

[ ! -d $(TMP)/usr/lib/perl5 ] || rmdir --ignore-fail-on-non-empty
--parents --verbose $(TMP)/usr/lib/perl5

See the current dh-make-perl templates.

Please treat this bug as 'serious' already: Perl 5.10.0 is scheduled
for unstable in a week or so.

Details about the ExtUtils::Install change can be found in #465783. 
-- 
Niko Tyni   ntyni@debian.org





Information forwarded to debian-bugs-dist@lists.debian.org, Florian Ragwitz <rafl@debian.org>:
Bug#467939; Package libgtk2-ex-simple-list-perl. Full text and rfc822 format available.

Acknowledgement sent to Mark Hymers <mhy@debian.org>:
Extra info received and forwarded to list. Copy sent to Florian Ragwitz <rafl@debian.org>. Full text and rfc822 format available.

Message #10 received at 467939@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467939@bugs.debian.org
Subject: libgtk2-ex-simple-list-perl: diff for NMU version 0.50-1.1
Date: Sat, 5 Apr 2008 23:05:21 +0100
[Message part 1 (text/plain, inline)]
tags 467939 + patch
thanks

Hi,

Attached is the diff for my libgtk2-ex-simple-list-perl 0.50-1.1 NMU.

-- 
Mark Hymers <mhy at debian dot org>
[libgtk2-ex-simple-list-perl-0.50-1.1-nmu.diff (text/x-diff, attachment)]

Tags added: patch Request was from Mark Hymers <mhy@debian.org> to control@bugs.debian.org. (Sat, 05 Apr 2008 22:06:10 GMT) Full text and rfc822 format available.

Reply sent to Mark Hymers <mhy@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Niko Tyni <ntyni@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #17 received at 467939-close@bugs.debian.org (full text, mbox):

From: Mark Hymers <mhy@debian.org>
To: 467939-close@bugs.debian.org
Subject: Bug#467939: fixed in libgtk2-ex-simple-list-perl 0.50-1.1
Date: Sat, 05 Apr 2008 22:17:17 +0000
Source: libgtk2-ex-simple-list-perl
Source-Version: 0.50-1.1

We believe that the bug you reported is fixed in the latest version of
libgtk2-ex-simple-list-perl, which is due to be installed in the Debian FTP archive:

libgtk2-ex-simple-list-perl_0.50-1.1.diff.gz
  to pool/main/libg/libgtk2-ex-simple-list-perl/libgtk2-ex-simple-list-perl_0.50-1.1.diff.gz
libgtk2-ex-simple-list-perl_0.50-1.1.dsc
  to pool/main/libg/libgtk2-ex-simple-list-perl/libgtk2-ex-simple-list-perl_0.50-1.1.dsc
libgtk2-ex-simple-list-perl_0.50-1.1_all.deb
  to pool/main/libg/libgtk2-ex-simple-list-perl/libgtk2-ex-simple-list-perl_0.50-1.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 467939@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Mark Hymers <mhy@debian.org> (supplier of updated libgtk2-ex-simple-list-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sat, 05 Apr 2008 21:09:15 +0100
Source: libgtk2-ex-simple-list-perl
Binary: libgtk2-ex-simple-list-perl
Architecture: source all
Version: 0.50-1.1
Distribution: unstable
Urgency: low
Maintainer: Florian Ragwitz <rafl@debian.org>
Changed-By: Mark Hymers <mhy@debian.org>
Description: 
 libgtk2-ex-simple-list-perl - A simple interface to Gtk2's complex MVC list widget
Closes: 467939
Changes: 
 libgtk2-ex-simple-list-perl (0.50-1.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Fix FTBFS with Perl 5.10.  Closes: #467939
Files: 
 1562b3acc2f0247142ff9c3b391010d9 742 perl optional libgtk2-ex-simple-list-perl_0.50-1.1.dsc
 950ce4ee9b8539d098fd3ae7e609c365 1691 perl optional libgtk2-ex-simple-list-perl_0.50-1.1.diff.gz
 eebb620370d688dbe86c34faab4a2a3e 17208 perl optional libgtk2-ex-simple-list-perl_0.50-1.1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFH9/L1NIW6CNDsByMRAlX6AJwK9O6rsMlvvY7KCqsJP6TsnU66egCcDQGo
n1odhNOR+boDc97bmAYShf4=
=k0cl
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 May 2008 07:40:20 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 11:17:02 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.